# Lucio

<p>
  <img src="https://github.com/jindada/lucio/blob/gh-pages/lucio.jpeg" width="280" height="300" />
</p>

[![NPM version](https://img.shields.io/npm/v/lucio.svg?style=flat)](https://npmjs.org/package/lucio)
[![NPM downloads](http://img.shields.io/npm/dm/lucio.svg?style=flat)](https://npmjs.org/package/lucio)

[更新日志](https://github.com/jindada/lucio/blob/master/CHANGELOG.md)

## 开始

##### 安装
```bash
$ npm install lucio -g
```

## 命令

lucio 是一个丰富的 cli 工具，提供 init、dll、server、build 和 eslint 五个命令，分别用于项目构建，编译dll，本地调试，部署构建，代码检查

##### 项目构建 (待调试)
```bash
$ lucio init <pkgname>
```

##### 编译dll
```bash
$ lucio dll
```

##### 本地调试
```bash
$ lucio server
```

##### 部署构建
```bash
$ lucio build
```

##### 代码检查
```bash
$ lucio eslint
```

## 配置

##### 默认配置

```js
{
  entry: './src/index.js',
  output: './dist',
  template: './src/index.ejs',
  commons: [],
  prefix: '',
  postcssPlugins: [],
  commonBabelPlugins: [],
  devBabelPlugins: [],
  prodBabelPlugins: [],
  prodBabelPlugins: [],
  babelLoaderDir: [],
  resolvePlugins [],
  proxy: {},
  svgSpriteDir: undefined
}
```

##### entry
> ###### 指定 webpack 入口文件

##### output
> ###### 配置输出路径

##### template
> ###### 配置 HtmlWebpackPlugin 的 template 属性。

##### commons
> ###### 公共库，用于本地调试时构建dll以及部署构建时提取

##### prefix
> ###### 请求url前缀

##### postcssPlugins
> ###### 配置额外的 postcss 插件

###### 默认 postcss 配置
```js
{
  autoprefixer({
    browsers: [
      '>1%',
      'last 4 versions',
      'Firefox ESR',
      'not ie < 9',
    ]
  })
}
```

##### commonBabelPlugins
> ###### 公共的 babel plugins 配置

###### 默认 babel plugins 配置
```js
{
  plugins: [
    'add-module-exports',
    'react-require',
    'syntax-dynamic-import',
  ]
}
```

##### devBabelPlugins
> ###### 本地调试环境下额外的 bebel plugins 配置配置

##### prodBabelPlugins
> ###### 部署构建环境下额外的 bebel plugins 配置配置

##### babelLoaderDir
> ###### babel loader 目录

##### resolvePlugins
> ###### 配置 webpack 的 resolve 属性。

##### proxy
> ###### 代理

##### svgSpriteDir
> ###### svg-sprite 目录
