'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

var _path = require('path');

var _fs = require('../utils/fs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '.eslintrc';
  var path = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : './src';

  var dest = (0, _path.join)(process.cwd(), path);

  if (!(0, _fs.exists)(dest)) {
    console.log(('ERROR: ' + dest + ' not exists').bold.red);
    process.exit(1);
  }

  var runner = require('child_process').spawn('./node_modules/eslint/bin/eslint.js', ['--color', '--config', (0, _path.join)(process.cwd(), config), dest]);

  runner.stdout.on('data', function (data) {
    console.log('' + data);
  });

  runner.stderr.on('data', function (data) {
    console.log('' + data);
  });

  runner.on('close', function (code) {
    if (code === 1) {
      process.exitCode = 1;
      console.error('lucio eslint checkout fail'.bold.red);
    } else {
      process.exitCode = 0;
      console.log('lucio eslint checkout pass'.bold.green);
    }
  });
};

module.exports = exports['default'];