'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _vinylFs = require('vinyl-fs');

var _vinylFs2 = _interopRequireDefault(_vinylFs);

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

var _path = require('path');

var _fs = require('../utils/fs');

var _handle = require('../utils/handle');

var _package = require('../../package.json');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (pkgname, install, mobile) {
  var dest = (0, _path.join)(process.cwd(), pkgname);
  if ((0, _fs.exists)(dest)) {
    console.log(('ERROR: ' + dest + ' already exists').bold.red);
    process.exit(1);
  }

  (0, _fs.mkdir)(dest);
  process.chdir(dest);
  var templates = (0, _path.join)(__dirname, '../../templates/init');

  console.log("                ,-.");
  console.log("      _,.      /  /");
  console.log("     ; \\____,-==-._  )     " + "lucio^" + _package2.default.version.magenta);
  console.log("     //_    `----' {+>     " + "jzs0914@126.com".yellow);
  console.log("     `  `'--/  /-'`(       " + "github.com\/jindada".yellow.underline);
  console.log("           /  /");
  console.log("           `='");
  console.log();

  console.log('1. copy template file ...'.yellow);

  _vinylFs2.default.src(['**/*', '!node_modules/**/*'], { cwd: templates, cwdbase: true, dot: true }).pipe(_vinylFs2.default.dest(dest)).on('end', function () {
    (0, _fs.rename)((0, _path.join)(dest, 'editorconfig'), (0, _path.join)(dest, '.editorconfig'));
    (0, _fs.rename)((0, _path.join)(dest, 'eslintrc'), (0, _path.join)(dest, '.eslintrc'));
    (0, _fs.rename)((0, _path.join)(dest, 'eslintignore'), (0, _path.join)(dest, '.eslintignore'));

    console.log('2. rename template file ...'.yellow);
    // template 
    (0, _handle.template)('/init/package.json', (0, _path.join)(process.cwd(), 'package.json'), { mobile: mobile });
    (0, _handle.template)('/init/index.js', (0, _path.join)(process.cwd(), 'src/container/index.js'), { mobile: mobile });
    (0, _handle.template)('/init/index.ejs', (0, _path.join)(process.cwd(), 'src/index.ejs'), { mobile: mobile });
    (0, _handle.template)('/init/luciorc.js', (0, _path.join)(process.cwd(), '.luciorc.js'), { mobile: mobile });

    if (install) {
      console.log('4. install node modules ...'.yellow);
      var runner = require('child_process').spawn(process.platform === 'win32' ? 'npm.cmd' : 'npm', ['install'], { stdio: "inherit" });
      runner.on('close', function (code) {
        console.log();
        console.log('init success'.bold.green);
        console.log();
        console.log('you can exec ' + 'lucio dll'.magenta + ' && ' + 'lucio start'.magenta + ' start service');
      });
    } else {
      console.log();
      console.log('init success'.bold.green);
      console.log();
      console.log('you can exec ' + 'lucio dll && lucio start'.magenta + ' start service');
    }
  }).resume();
};

module.exports = exports['default'];