#!/usr/bin/env node

'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _path = require('path');

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

var _fs = require('fs');

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(_package2.default.version, '-v, --version');

// init
_commander2.default.command('init <pkgname>').description('initialize project').option('-i, --install', 'automatic install required modules').option('-m, --mobile', 'create mobile app').action(function (pkgname, _ref) {
  var install = _ref.install,
      mobile = _ref.mobile;

  require('./command/init.js')(pkgname, install, mobile);
});

_commander2.default.command('start').description('starting the development server').option('-c, --config <config>', '...').option('-p, --port <port>', '...').option('-s, --https', '...').option('-d, --dll', '...').action(function (_ref2) {
  var config = _ref2.config,
      port = _ref2.port,
      https = _ref2.https,
      dll = _ref2.dll;

  require('./command/start.js')(config, port, https, dll);
});

_commander2.default.command('dll').description('creating an optimized commons build').option('-c, --config <config>', '...').action(function (_ref3) {
  var config = _ref3.config;

  require('./command/dll.js')(config);
});

_commander2.default.command('build').description('creating an optimized production build').option('-c, --config <config>', '...').action(function (_ref4) {
  var config = _ref4.config;

  require('./command/build.js')(config);
});

_commander2.default.command('eslint').description('creating an optimized production build').option('-c, --config <config>', '...').option('-p, --path <path>', '...').action(function (_ref5) {
  var config = _ref5.config,
      path = _ref5.path;

  require('./command/eslint.js')(config, path);
});

// TODO add init routes modules

_commander2.default.parse(process.argv);