'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jscodeshift = require('jscodeshift');

var _jscodeshift2 = _interopRequireDefault(_jscodeshift);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (path) {
  var fileBuffer = (0, _utils.readFile)(path);

  var retdata = {};
  var root = (0, _jscodeshift2.default)(fileBuffer);

  var findColumnsNode = function findColumnsNode(root) {
    return root.find(_jscodeshift2.default.Property, {
      key: {
        name: 'columns'
      }
    }).nodes()[0];
  };

  root.find(_jscodeshift2.default.Property).forEach(function (p) {
    if (p.parent.name === 'declaration') {
      if (p.value.key.name === 'service') {
        var _sercive = {};
        p.value.value.properties.forEach(function (_s) {
          _sercive[_s.key.name] = _s.value.value;
        });
        retdata.service = _sercive;
      } else if (p.value.key.name === 'imports') {
        retdata['imports'] = p.value.value.elements.map(function (_i) {
          return _i.value;
        });
      } else if (p.value.key.name === 'columns') {
        var _c = (0, _jscodeshift2.default)(findColumnsNode(root)).toSource();
        retdata['columns'] = _c.substring(13, _c.length - 2);
      } else {
        retdata[p.value.key.name] = p.value.value.value;
      }
    }
  });

  return retdata;
};

module.exports = exports['default'];