'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = require('./utils');

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

var _path = require('path');

var _fs = require('fs');

var _fsExtra = require('fs-extra');

var _spoof = require('./spoof');

var _spoof2 = _interopRequireDefault(_spoof);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var succtips = function succtips(name, dest) {
    return '\n\u521B\u5EFA\u6A21\u5757 ' + name + ' \u6210\u529F\uFF0C \u8DEF\u5F84 ' + dest + '\n\u5982\u679C\u4F60\u6709\u4EFB\u4F55\u7591\u95EE, \u8BF7\u8054\u7CFBjzs0914@126.com!\n';
};

exports.default = function () {
    // 验证模版配置文件
    var rootPath = process.cwd();
    var configPath = (0, _path.join)(rootPath, '.lucio.curd.js');
    if (!(0, _fs.existsSync)(configPath)) {
        (0, _utils.error)(configPath + ' \u914D\u7F6E\u6587\u4EF6\u4E0D\u5B58\u5728');
    }
    try {
        var config = (0, _spoof2.default)(configPath);
        config.uppercase = (0, _utils.firstUpperCase)(config.namespace);
        // 读取模版配置文件
        var dest = (0, _path.join)(process.cwd(), './src/routes', config.namespace);
        if ((0, _fs.existsSync)(dest)) {
            (0, _utils.error)(dest + ' \u6587\u4EF6\u5939\u5DF2\u7ECF\u5B58\u5728');
        }
        (0, _utils.success)('\u901A\u8FC7 Lucio \u521B\u5EFA\u4E00\u4E2A\u65B0\u7684 dva \u6A21\u7248 \u5728 ' + dest + '.');
        // 验证namespace
        (0, _fsExtra.mkdirpSync)(dest);
        (0, _utils.info)('目录创建', 'src/routes/' + config.namespace);
        process.chdir(dest);
        // write model.js
        (0, _utils.template)("model.js", "curd", config);
        (0, _utils.info)('文件创建', 'src/routes/' + config.namespace + '/model.js');
        // write http.js
        (0, _utils.template)("service.js", "curd", config);
        (0, _utils.info)('文件创建', 'src/routes/' + config.namespace + '/service.js');
        // mkdir components
        var cdest = (0, _fsExtra.mkdirpSync)((0, _path.join)(process.cwd(), 'components'));
        process.chdir(cdest);
        // write index.js
        (0, _utils.template)("index.js", "curd", config);
        (0, _utils.info)('文件创建', 'src/routes/' + config.namespace + '/component/index.js');
        // write table.js

        (0, _utils.template)("columns.js", "curd", config);
        (0, _utils.info)('文件创建', 'src/routes/' + config.namespace + '/component/columns.js');
        // write index.less
        (0, _utils.template)("style.less", "curd", config);
        (0, _utils.info)('文件创建', 'src/routes/' + config.namespace + '/component/style.less');

        process.chdir(rootPath);
        // 修改index.js
        (0, _utils.mapModelToIndex)(config.namespace);
        (0, _utils.info)('依赖注入', 'src/index.js -> model');
        (0, _utils.mapComponentToRouter)(config.namespace);
        (0, _utils.info)('依赖注入', 'src/router.js -> component');
        // print success
        (0, _utils.success)(succtips(config.namespace, dest));
    } catch (e) {
        (0, _utils.error)(e);
    }
};

module.exports = exports['default'];