'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rmdir = exports.mkdir = exports.rename = exports.exists = exports.remove = exports.write = exports.size = exports.readDir = exports.read = undefined;

var _fs = require('fs');

var _fsExtra = require('fs-extra');

var _rimraf = require('rimraf');

var _rimraf2 = _interopRequireDefault(_rimraf);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// file read
var read = exports.read = function read(path) {
  return (0, _fs.readFileSync)(path, 'utf-8');
};

// file read dir
var readDir = exports.readDir = function readDir(path, callback) {
  return (0, _fs.readdir)(path, callback);
};

// file size
var size = exports.size = function size(path) {
  return (0, _fs.statSync)(path).size;
};

// file write
var write = exports.write = function write(path, source) {
  return (0, _fsExtra.outputFileSync)(path, source, 'utf-8');
};

// file remove
var remove = exports.remove = function remove(path) {
  return (0, _fsExtra.removeSync)(path);
};

// file exists
var exists = exports.exists = function exists(path) {
  return (0, _fs.existsSync)(path);
};

// file exists
var rename = exports.rename = function rename(o, n) {
  return (0, _fs.renameSync)(o, n);
};

// mkdir
var mkdir = exports.mkdir = function mkdir(path) {
  return (0, _fsExtra.mkdirpSync)(path);
};

// rmdir
var rmdir = exports.rmdir = function rmdir(path) {
  return _rimraf2.default.sync(path);
};