'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _path = require('path');

var _htmlWebpackPlugin = require('html-webpack-plugin');

var _htmlWebpackPlugin2 = _interopRequireDefault(_htmlWebpackPlugin);

var _copyWebpackPlugin = require('copy-webpack-plugin');

var _copyWebpackPlugin2 = _interopRequireDefault(_copyWebpackPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref, dll) {
  var _ref$entry = _ref.entry,
      entry = _ref$entry === undefined ? './src/index.js' : _ref$entry,
      _ref$output = _ref.output,
      output = _ref$output === undefined ? './dist' : _ref$output,
      _ref$template = _ref.template,
      template = _ref$template === undefined ? (0, _path.resolve)(entry.split('/')[1], 'index.ejs') : _ref$template;


  var webpackConfig = {
    devtool: 'inline-source-map',
    plugins: [new _webpack2.default.DefinePlugin({
      'process.env.NODE_ENV': '"development"'
    }), new _webpack2.default.HotModuleReplacementPlugin(), new _htmlWebpackPlugin2.default({
      template: template,
      minify: {
        removeComments: true,
        collapseWhitespace: true
      },
      inject: true,
      nodeEnv: 'development'
    })]
  };

  if (dll) {
    // DllReferencePlugin
    webpackConfig.plugins.push(new _webpack2.default.DllReferencePlugin({
      context: process.cwd(),
      manifest: (0, _path.resolve)('./node_modules/lucio.dll/', 'manifest.json')
    }));
    // CopyWebpackPlugin
    webpackConfig.plugins.push(new _copyWebpackPlugin2.default([{
      from: (0, _path.resolve)('./node_modules/lucio.dll/', 'lucio.dll.js'),
      to: (0, _path.resolve)(output, 'lucio.dll.js')
    }]));
  };

  return webpackConfig;
};

module.exports = exports['default'];