'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _path = require('path');

var _htmlWebpackPlugin = require('html-webpack-plugin');

var _htmlWebpackPlugin2 = _interopRequireDefault(_htmlWebpackPlugin);

var _webpackVisualizerPlugin = require('webpack-visualizer-plugin');

var _webpackVisualizerPlugin2 = _interopRequireDefault(_webpackVisualizerPlugin);

var _webpackCommon = require('./webpack.common.js');

var _webpackCommon2 = _interopRequireDefault(_webpackCommon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var _ref$entry = _ref.entry,
      entry = _ref$entry === undefined ? './src/index.js' : _ref$entry,
      _ref$commons = _ref.commons,
      commons = _ref$commons === undefined ? [] : _ref$commons,
      _ref$template = _ref.template,
      template = _ref$template === undefined ? (0, _path.resolve)(entry.split('/')[1], 'index.ejs') : _ref$template;


  var webpackProdConfig = {
    devtool: 'source-map',
    plugins: [new _webpack2.default.DefinePlugin({
      'process.env.NODE_ENV': '"production"'
    }), new _webpack2.default.optimize.UglifyJsPlugin({
      sourceMap: true,
      comments: false, // 去掉注释
      compress: {
        unused: true,
        dead_code: true,
        warnings: false
      }
    }), new _htmlWebpackPlugin2.default({
      template: template,
      minify: {
        removeComments: true,
        collapseWhitespace: true
      },
      inject: true,
      nodeEnv: 'production'
    }), new _webpackVisualizerPlugin2.default()]
  };

  if (commons.length > 0) {
    webpackProdConfig.plugins.push(new _webpack2.default.optimize.CommonsChunkPlugin({ name: ['commons', 'runtime'] }));
  }

  return webpackProdConfig;
};

module.exports = exports['default'];