import colors from 'colors';
import { join } from 'path';
import { exists } from '../utils/fs';

export default (config = '.eslintrc', path = './src') => {
  const dest = join(process.cwd(), path);

  if(!exists(dest)){
    console.log(`ERROR: ${dest} not exists`.bold.red);
    process.exit(1);
  }

  const runner = require('child_process').spawn('./node_modules/eslint/bin/eslint.js', ['--color', '--config', join(process.cwd(), config), dest]);
  
  runner.stdout.on('data', (data) => {
    console.log(`${data}`);
  });
  
  runner.stderr.on('data', (data) => {
    console.log(`${data}`);
  });
  
  runner.on('close', (code) => {
    if (code === 1) {
      process.exitCode = 1;
      console.error('lucio eslint checkout fail'.bold.red)
    } else {
      process.exitCode = 0;
      console.log('lucio eslint checkout pass'.bold.green);
    }
  });
}
