import j from 'jscodeshift';
import { readFile } from './utils';

export default (path) => {
  const fileBuffer = readFile(path);

  const retdata = {};
  const root = j(fileBuffer);
  
  const findColumnsNode = (root) => {
    return root.find(
      j.Property, {
        key: {
          name: 'columns'
        }
      }
    ).nodes()[0];
  }
  
  root.find(j.Property).forEach(p => {
    if (p.parent.name === 'declaration') {
      if (p.value.key.name === 'service') {
        const _sercive = {}
        p.value.value.properties.forEach(_s => {
          _sercive[_s.key.name] = _s.value.value;
        });
        retdata.service = _sercive;
      } else if(p.value.key.name === 'imports') {
        retdata['imports'] = p.value.value.elements.map(_i => _i.value);          
      } else if (p.value.key.name === 'columns') {
        let _c = j(findColumnsNode(root)).toSource();
        retdata['columns'] = _c.substring(13, _c.length -2);
      } else {
        retdata[p.value.key.name] = p.value.value.value;
      }
    }
  });

  return retdata;
}
