import { readFileSync, renameSync, existsSync, readdir, statSync } from 'fs';
import { outputFileSync, mkdirpSync, removeSync } from 'fs-extra';
import rimraf from 'rimraf';

// file read
export const read = (path) => readFileSync(path, 'utf-8');

// file read dir
export const readDir = (path, callback) => readdir(path, callback);

// file size
export const size = (path) => statSync(path).size;  

// file write
export const write = (path, source) => outputFileSync(path, source, 'utf-8');

// file remove
export const remove = (path) => removeSync(path)

// file exists
export const exists = (path) => existsSync(path);

// file exists
export const rename = (o,n) => renameSync(o, n);

// mkdir
export const mkdir = (path) => mkdirpSync(path);

// rmdir
export const rmdir = (path) => rimraf.sync(path);