import React from 'react';
import PropTypes from 'prop-types';
import { Layout } from 'antui-admin';
import { Link } from 'dva/router';
import { Menu } from 'antd';
import { refreshTokenTime } from '../config';
import { Application } from 'antui-admin/lib/utils/storage';
const { Header, Content } = Layout;

class Container extends React.Component {
  
  componentDidMount() {
    setInterval(() => this.props.dispatch({ type: 'login/refreshToken' }), refreshTokenTime);
  }
  
  render() {
    const { pathname } = this.props.location;
    const menu = Application.getAttribute('menu') || [];
    
    return (
      <Layout>
        <Header>
          <Menu selectedKeys={[pathname]} mode="horizontal">
            { 
              menu.map(({permissionContent, permissionName}) =>
                <Menu.Item key={permissionContent}>
                  <Link to={permissionContent}>{permissionName}</Link>
                </Menu.Item>
              )
            }
          </Menu>
        </Header>
        <Content>{this.props.children}</Content>
      </Layout>
    );
  }
}

Container.propTypes = {
  dispatch: PropTypes.func,
  location: PropTypes.object,
  children: PropTypes.node
};

export default Container;