import luciorc from '../.luciorc';
import { Application } from 'antui-admin/lib/utils/storage';

// node env
export const nodeEnv = process.env.NODE_ENV;

// refresh token
export const refreshTokenTime = 10 * 60 * 1000;

// plugin config
export const pluginConfig = {
  pluginsId: "plugins.sys_options",
  type: 'pc'
};

// http global config
export const httpConfig = {
  prefix: luciorc.prefix,
  cookies: true,
  headers: pluginConfig,
  filter: data => new Promise((resolve, reject) => {
    const { url, headers, option } = data;
    const newHeaders = {
      ...headers,
      "Authorization": Application.getAttribute("Authorization"),
      "userId": Application.getAttribute("userId")
    };
    resolve({ url, headers: newHeaders, option });
  }),
};

// TODO 优化
export const onErrorFn = (error, dispatch) => {
  console.error(error.message);
};