import dva from 'dva';
import { browserHistory } from 'dva/router';
import createLogger from 'redux-logger';
import http from 'isomorphic-fetch-http';
import { nodeEnv, httpConfig } from './config';
import router from './router';
import demo from './routes/demo/model';
// global style
import './style/index.less'; 
// http config
http.setup(httpConfig);
// init
const app = dva({
  history: browserHistory,
});
// hooks
app.use(nodeEnv === 'development' ? { onAction: createLogger() } : {});
// model
app.model(demo);
// router
app.router(router);
// start
app.start("#init");