import React from 'react';
import { connect } from 'dva';
import PropTypes from 'prop-types';
import './style.less';
/**
 * es6 conponent ES6组件写法
 * props中被注入dispatch, location
 */
class Demo extends React.Component {
  // constructor(props) {
  //   super(props);
  //   const {dispatch, location} = props;
  // }
  render() {
    const {value} = this.props.demo;
    return (
      <h1 className="demo">{value}</h1>   
    );
  }
}

Demo.propTypes = {
  dispatch: PropTypes.func,
  location: PropTypes.object,
  demo: PropTypes.object,
};
/**
 * 绑定函数
 * @param {Object}
 * @return {Object}
 * const mapStateToProps = ({namespace, namespace}) => ({namespace, namespace});
 */

const mapStateToProps = ({demo}) => ({demo});

export default connect(mapStateToProps)(Demo);