import React from 'react';
import { connect } from 'dva';
import PropTypes from 'prop-types';
import { Form } from 'antui-admin';
import { Spin } from 'antd';
import './style.less';

class Login extends React.Component {

  onSubmit = (values) => {
    this.props.dispatch({
      type: 'login/login',
      values
    });
  }

  render() {
    return (
      <div className="login">
      {
        this.props.login.loading ? (
          <Spin size="large" style={{marginTop: 100}} />
        ) : (
          <div>
            <h2>登录</h2>
            <Form columns={columns} onSubmit={this.onSubmit} />
          </div>
        )
      }
      </div>
    );
  }
}

Login.propTypes = {
  dispatch: PropTypes.func,
  login: PropTypes.object
};

const columns = [
  {
    title: "用户名",
    name: "userId",
    formItem: {
      rules: [
        { required: true, message: '请输入用户名' }
      ]
    }
  },
  {
    title: "密码",
    name: "password",
    formItem: {
      type: "password",
      rules: [
        { required: true, message: '请输入密码' }
      ]
    }
  }
];

const mapStateToProps = ({ login }) => ({ login });

export default connect(mapStateToProps)(Login);